pcl::PointXYZI Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZI:

## Public Member Functions

| PointXYZI (const _PointXYZI &p)
| PointXYZI ()
| PointXYZI (float _intensity)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZI &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZI
| PCL_ADD_POINT4D
union {
struct {
float intensity
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 468 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZI() [1/3]

pcl::PointXYZI::PointXYZI | ( | const _PointXYZI & | p | ) |

inline

Definition at line 470 of file point_types.hpp.

References pcl::_PointXYZI::intensity.

## PointXYZI() [2/3]

pcl::PointXYZI::PointXYZI | ( |  | ) |

inline

Definition at line 476 of file point_types.hpp.

References pcl::_PointXYZI::intensity.

## PointXYZI() [3/3]

pcl::PointXYZI::PointXYZI | ( | float | _intensity | ) |

inline

Definition at line 482 of file point_types.hpp.

References pcl::_PointXYZI::intensity.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZI & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp